Which Linux system RPM packages must be installed to assure a successful NSM r11 install?

Document ID : KB000052399
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

NSM r11 installations will fail if certain Linux system RPM packages are not currently installed.

Solution:

To run Unicenter NSM on Red Hat ES/AS 3.0, the target system must have glibc version 2.3.2-95.6 or higher. This version of glibc addresses a problem with the pthread functionality set, as described in the following bugzilla issue:

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=108631.

To run Unicenter NSM on Red Hat Enterprise Server ES/AS 3.0, the target system must have the glibc-devel, compat-libstdc++-7.3-2.96, libstdc++, and ncurses RPM packages installed.

To run Unicenter NSM on Red Hat Enterprise Server ES/AS 4.0, the target system must also have compat-libstdc++-33 and compat-libstdc++-296 (these packages supersede compat-libstdc++-7.3-2.96) RPM packages along with the above listed patches for Red Hat Enterprise Server ES/AS 3.0.

To run Unicenter NSM on SuSE Linux Enterprise Server, the target system must have the glibc, glibc-devel, libstdc++, compat, and ncurses RPM packages installed.

To install Unicenter NSM on any supported Linux platform, the target system must have bc (binary calculator) installed. This package is available on Red Hat and SuSE distributions.

To run certain Unicenter NSM components, the target system must have X11 (XFree86, xorg-x11, or xf86 RPM packages) installed. These packages are available as part of the X11 option on Red Hat and SuSE distributions. X11 is not required if you are installing NSM r11 agents. The following is a list of NSM r11 components that require X11:

  • MDB
  • WorldView Manager
  • Distributed State Machine (DSM)
  • Advanced Event Correlation Web Policy Editor
  • Systems Performance Reporting
  • Unicenter Managerment Portal
  • Online Books
  • Web Reports and Dashboards
  • Configuration Manager
  • Management Command Center

Note: Not all of these components are available in all NSM Linux r11 releases.

You can verify that all of the required Linux RPM packages are installed by executing the ca_syscheck utility command from the top level directory of your NSM r11 Linux Master Image (the same directory where the setupNSM install script is located). Execute this utility perform the following system checks:

    ./ca_syscheck osmaint
    ./ca_syscheck x11
    ./ca_syscheck glibc-devel

If any RPM package is missing, an error message will be displayed indicating what is missing.

Note: The check for the Linux bc RPM package was not included in the GA release of NSM 11.0. You must check for this package using the Linux rpm utility as follows: rpm -qa | grep "^bc"